require "uu/operation_registry"

module UU
  module OperationRegistry
    class NodeSet < BaseMethods
      # NodeSet slot.
      class Slot < Constants


        # Production slot mean that NodeSet will be routed on standard production gateway.
        # Production slot have same behavior like all NodeSets before introduction of slot choosing.
        # Introduction of slot choosing is realized to enable function of uuCloud AppDeployment/swap command.
        # Default value.
        PRODUCTION = 'PRODUCTION'

        # Beta slot is used to test application in production environment from another gateway.
        # Introduction of slot choosing is realized to enable function of uuCloud AppDeployment/swap command.
        BETA = 'BETA'

      end
    end
  end
end
