module UU
  module OperationRegistry
    # List of possible states for ResourceGroup
    class ResourceGroupState

      # ResourceGroup is valid.
      ACTIVE = 'ACTIVE'

      # The ResourceGroup/swap is updating the ResourceGroup and its AppDeployments now.
      SWAPPING = 'SWAPPING'

      # The ResourceGroup/swap command was called and it failed. Rollback was not successful and
      # the ResourceGroup and its AppDeployments might be in some inconsistent state.
      PROBLEM = 'PROBLEM'

    end
  end
end
